#ifndef _CMD_FUNC_H_
#define _CMD_FUNC_H_

typedef void (*func_ptr_type)(char *str) ;

typedef struct _cmd_func_st {
    char *cmd ;
    func_ptr_type func ;
    char *description ;
} cmd_func_type ;

extern cmd_func_type g_cmd_list[] ;

func_ptr_type get_func(char *arg) ;

void do_help(char *arg) ;
void do_list(char *arg) ;
void do_save(char *arg) ;
void do_load(char *arg) ;
void do_erase(char *arg) ;
void do_stop(char *arg) ;
void do_start(char *arg) ;
void do_period(char *arg) ;
void do_compare(char *arg) ;
    
#endif /* _CMD_FUNC_H_ */
